Package org.codehaus.janino

# Class Java.ParenthesizedExpression

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Rvalue
org.codehaus.janino.Java.Lvalue
org.codehaus.janino.Java.ParenthesizedExpression

All Implemented Interfaces:
  `Java.ArrayInitializerOrRvalue`, `Java.ElementValue`, `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.ParenthesizedExpression extends Java.Lvalue
Representation of a JLS7 15.8.5 "parenthesized expression".

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.Rvalue`
`value`
The rvalue in parentheses.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`ParenthesizedExpression(Location location, Java.Rvalue value)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LvalueVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.LvalueVisitor` for the concrete `Java.Lvalue` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Lvalue

`accept, toLvalue`

### Methods inherited from class org.codehaus.janino.Java.Rvalue

`accept, accept, accept, getEnclosingScope, getEnclosingScopeOrNull, setEnclosingScope, toRvalue`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalueOrCompileException, toRvalueOrCompileException, toType, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.codehaus.janino.Java.Locatable

`getLocation, throwCompileException`

## Field Details

### value

public final Java.Rvalue value
The rvalue in parentheses.

## Constructor Details

### ParenthesizedExpression

public ParenthesizedExpression(Location location, Java.Rvalue value)

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.LvalueVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Lvalue`
Invokes the "`visit...()`" method of `Visitor.LvalueVisitor` for the concrete `Java.Lvalue` type.

Specified by:
  `accept` in class `Java.Lvalue`
Throws:
  `EX`